Create a candidate

Custom Fields

You can update candidate custom fields by using the generated internal_name of the applicant field that you have in PeopleForce. This unique field name is automatically generated when you create a custom
field, and is returned by the GET /candidate_fields endpoint.

For example, if you have a field labelled "Tax number" in PeopleForce, it will have an autogenerated internal name called tax_number. You can then use it within your request as a top-level attribute alongside other system attributes of the candidate, for example full_name:

{                                                                                                                                                                                                             
  "full_name": "Andrew",                                                                                                                                                                                         
  "tax_number": "123123"                                                                                                                                                                                         
}

For Select fields, pass the option value as a string. For MultiSelect fields, pass an array of option values:

{                                                                                                                                                                                                                
  "full_name": "Andrew",                                                                                                                                                                                         
  "department_preference": "Engineering",                                                                                                                                                                        
  "spoken_languages": ["English", "Spanish"]                                                                                                                                                                     
} 
Body Params
string
required
string
date
string
file

Binary upload data

integer
string
phone_numbers[]
array of strings
phone_numbers[]
skills[]
array of strings
skills[]
urls[]
array of strings
urls[]
string
string
date-time
integer
integer
tag_ids
array of integers
tag_ids
Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json